using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("TrialExperience")]
    public partial class TrialExperience : BaseFullAuditEntity
    {
        #region 

        [JsonIgnore]
        public List<TrialExperienceCriteria> ExperienceCriteriaList { get; set; }
        #endregion


        public Guid DoctorId { get; set; }

        public Guid? PhaseId { get; set; }

        public Dictionary Phase { get; set; }

        [StringLength(512)]
        public string EvaluationContent { get; set; }


        public int VisitReadingCount { get; set; }

        public DateTime? StartTime { get; set; }

        public DateTime? EndTime { get; set; }
    }
}
